cppcms::http Namespace Reference

This namespace represent classes that are directly connected to handing HTTP requests and responses. More...

## Classes

class | content_type
| Class that represents parsed Content-Type header, this is immutable class. Once it is created its values does not change. More...
class | context
| context is a central class that holds all specific connection related information. It encapsulates CGI request and response, cache, session and locale information More...
class | cookie
| Class that represents single HTTP Cookie Generally used in context of http::request and http::response. More...
class | file
| This class holds a uploaded file, it is generally fetched via widgets::file or via http::request::files. More...
class | request
| This class represents all information related to the HTTP/CGI request. More...
class | response
| this class represents all HTTP/CGI response related API, generation of output content and HTTP headers. More...

## Functions

std::ostream CPPCMS_API & | operator<< (std::ostream &, cookie const &)

## Detailed Description

This namespace represent classes that are directly connected to handing HTTP requests and responses.